Bug 126220 - not all UserImpl set methods are being called
Summary: not all UserImpl set methods are being called
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ryan Bloom
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-06-17 18:14 UTC by Ryan Bloom
Modified: 2007-04-18 17:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 01:08:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan Bloom 2004-06-17 18:14:38 UTC
The PersistenceFactory should call all setters as a part of creating
the object, but the jcoverage report tells us that some of the setters
aren't being called.  We need to look into this.

Comment 1 Ryan Bloom 2004-06-18 01:08:36 UTC
BeanUtils is scary.  It is actually checking the old value of a
property within a bean, and if the value isn't being changed, the
setter isn't called.  I have briefly looked through the code, and I
didn't see where that check was made.  We may want to look into this.
 All of the methods that aren't getting called are trying to set a
value to null, which is the default value, so the methods aren't being
called.


Note You need to log in before you can comment on or make changes to this bug.